Create governance action
POST
/governance/actions
const url = 'https://shoehorn.example.com/api/v1/governance/actions';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"title":"example","description":"example","type":"example","priority":"critical","entity_id":"example","assigned_to":"example","due_date":"2026-04-15"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/governance/actions \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "description": "example", "type": "example", "priority": "critical", "entity_id": "example", "assigned_to": "example", "due_date": "2026-04-15" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
title
required
string
description
string
type
required
string
priority
required
string
entity_id
string
assigned_to
string
due_date
string format: date
Responses
Section titled “ Responses ”Action created